package com.sqx.modules.interviewRecord.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sqx.common.utils.Result;
import com.sqx.modules.interviewRecord.entity.InterviewRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2023-02-08
 */
public interface InterviewRecordService extends IService<InterviewRecord> {

    IPage<InterviewRecord> interviewList(Integer page, Integer limit, InterviewRecord interviewRecord);

    Result saveInterview(InterviewRecord interviewRecord);

    List<InterviewRecord> getRecordList(Integer hour);

    Result userUpdateInter(Long userId, Long recordId, Integer type);

    InterviewRecord getInterviewInfo(Long recordId);

    Result isSendView(Long postPushId, Long userId);

    List<Object> selectInterviewList(Long userId);
}
